aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2012-11-27 20:32:20 +0100
committerJustin Lecher <jlec@gentoo.org>2012-11-27 20:32:20 +0100
commitaaf8c43554e77bc06aa9c2ba99777b9e787ad17d (patch)
tree60f698c2890ec96ba491588b83fb35bed9c7697e
parentSpeed up unpacking #431614 (diff)
downloadsci-aaf8c43554e77bc06aa9c2ba99777b9e787ad17d.tar.gz
sci-aaf8c43554e77bc06aa9c2ba99777b9e787ad17d.tar.bz2
sci-aaf8c43554e77bc06aa9c2ba99777b9e787ad17d.zip
Drop USE=doc and add static-libs support
Implementing suggestion from g-dev review. * Dropping USE=doc and rely on FEATURES=nodoc * Use LINGUAS USE_EXAND for detection of japanese Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--eclass/intel-sdp.eclass32
1 files changed, 20 insertions, 12 deletions
diff --git a/eclass/intel-sdp.eclass b/eclass/intel-sdp.eclass
index 71fe21996..a3942ffd2 100644
--- a/eclass/intel-sdp.eclass
+++ b/eclass/intel-sdp.eclass
@@ -97,7 +97,7 @@ LICENSE="Intel-SDP"
# Future work, #394411
#SLOT="${_INTEL_PV1}.${_INTEL_PV2}"
SLOT="0"
-IUSE="doc examples multilib"
+IUSE="examples multilib static-libs"
KEYWORDS="-* ~amd64 ~x86 ~amd64-linux ~x86-linux"
RESTRICT="mirror"
@@ -326,16 +326,20 @@ intel-sdp_src_unpack() {
# @DESCRIPTION:
# Install everything
intel-sdp_src_install() {
- if ! use doc && [[ -d "${INTEL_SDP_DIR}"/Documentation ]]; then
- ebegin "Cleaning out documentation"
- find "${INTEL_SDP_DIR}"/Documentation -delete || die
- eend
- fi
- if ! use examples && [[ -d "${INTEL_SDP_DIR}"/Samples ]]; then
- ebegin "Cleaning out examples"
- find "${INTEL_SDP_DIR}"/Samples -delete || die
- eend
+ dodoc -r "${INTEL_SDP_DIR}"/Documentation/*
+
+ ebegin "Cleaning out documentation"
+ find "${INTEL_SDP_DIR}"/Documentation -delete || die
+ eend
+
+ if use examples && [[ -d "${INTEL_SDP_DIR}"/Samples ]]; then
+ insinto /usr/share/${P}/examples/
+ doins -r "${INTEL_SDP_DIR}"/Samples/*
fi
+ ebegin "Cleaning out examples"
+ find "${INTEL_SDP_DIR}"/Samples -delete || die
+ eend
+
if [[ -d "${INTEL_SDP_DIR}"/eclipse_support ]]; then
if has eclipse ${IUSE} && use eclipse; then
intel_link_eclipse_plugins
@@ -348,16 +352,20 @@ intel-sdp_src_install() {
if [[ -d "${INTEL_SDP_DIR}"/man ]]; then
doman "${INTEL_SDP_DIR}"/man/en_US/man1/*
- [[ ${LINGUAS} == "*ja_JP*" ]] && \
+ use linguas_ja && \
doman -i18n=ja_JP "${INTEL_SDP_DIR}"/man/ja_JP/man1/*
find "${INTEL_SDP_DIR}"/man -delete || die
fi
- einfo "Tagging ${PN}"
+ use statc-libs || \
+ find opt -type f -name "*.a" -delete || die
+
+ ebegin "Tagging ${PN}"
find opt -name \*sh -type f -exec sed -i \
-e "s:<.*DIR>:${INTEL_SDP_EDIR}:g" \
'{}' + || die
+ eend
[[ -d "${ED}" ]] || dodir /
mv opt "${ED}"/ || die "moving files failed"